Package org.kie.internal.builder.conf

## Enum ProcessStringEscapesOption

- java.lang.Object
- - java.lang.Enum<ProcessStringEscapesOption>
  - - org.kie.internal.builder.conf.ProcessStringEscapesOption

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ProcessStringEscapesOption>`, `org.kie.api.conf.Option`, `org.kie.api.conf.SingleValueOption`, `KnowledgeBuilderOption`, `SingleValueKieBuilderOption`, `SingleValueRuleBuilderOption`

      public enum ProcessStringEscapesOption
      extends java.lang.Enum<ProcessStringEscapesOption>
      implements SingleValueRuleBuilderOption

  An Enum for ProcessStringEscapes option. drools.parser.processStringEscapes = <true|false> DEFAULT = true When parsing a DRL file, drools will by default process the String escapes and convert them into the appropriate character. For instance, if drools find a "\n" inside a String, drools will convert that into a single new line character. If you want that to show up as the two characters BACK_SLASH+N, you need to escape the SLASH: "\\n", the same way you do in Java files. This is different, though, from what happened in Drools 4. Drools 4 never processed String escapes, making it impossible to encode special characters into Strings. But, if for any reason, you need the Drools 4 behaviour when parsing files, just set this option to NO (false).

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NO` |
    `YES` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.kie.api.conf.OptionKey<ProcessStringEscapesOption>` | `KEY` |
    `static java.lang.String` | `PROPERTY_NAME` | The property name for the process string escapes option

    - ### Fields inherited from interface org.kie.internal.builder.conf.SingleValueRuleBuilderOption

      `TYPE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPropertyName()`
    `boolean` | `isProcessStringEscapes()` |
    `static ProcessStringEscapesOption` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ProcessStringEscapesOption[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.conf.Option

      `propertyName`

    - ### Methods inherited from interface org.kie.internal.builder.conf.SingleValueRuleBuilderOption

      `type`

- - ### Enum Constant Detail

    - #### YES

          public static final ProcessStringEscapesOption YES

    - #### NO

          public static final ProcessStringEscapesOption NO

  - ### Field Detail

    - #### PROPERTY_NAME

          public static final java.lang.String PROPERTY_NAME

      The property name for the process string escapes option
      See Also:
        Constant Field Values

    - #### KEY

          public static org.kie.api.conf.OptionKey<ProcessStringEscapesOption> KEY

  - ### Method Detail

    - #### values

          public static ProcessStringEscapesOption[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ProcessStringEscapesOption c : ProcessStringEscapesOption.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ProcessStringEscapesOption valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPropertyName

          public java.lang.String getPropertyName()

      Specified by:
        `getPropertyName` in interface `org.kie.api.conf.Option`

    - #### isProcessStringEscapes

          public boolean isProcessStringEscapes()